StarObjectChart Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
StarObjectChart Class Reference

the main class to read a StarOffice chart More...

`#include <StarObjectChart.hxx>`

Inheritance diagram for StarObjectChart:

## Public Member Functions
| StarObjectChart (StarObject const &orig, bool duplicateState)
| constructor More...
virtual | ~StarObjectChart ()
| destructor More...
bool | parse ()
| try to parse the current object More...
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, shared_ptr< STOFFOLEParser::OleDirectory > directory)
| constructor More...
virtual | ~StarObject ()
| destructor More...
bool | parse ()
| try to parse data More...
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind More...
char const * | getPassword () const
| returns the document password (the password given by the user) More...
shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory More...
shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager More...
shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager More...
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation) More...
void | cleanPools ()
| clean each pool More...
shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document More...
shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it. More...
shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool More...
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets More...
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=0, bool isDirect=false)
| try to read a list of item More...

## Protected Member Functions
bool | readChartDocument (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a chart zone: StarChartDocument .sds More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a chart style zone: SfxStyleSheets More...
bool | readSCHAttributes (StarZone &zone)
| try to read the chart attributes More...
bool | readSCHMemChart (StarZone &zone)
| try to read the memchart data More...
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object More...
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation" More...
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview" More...
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows" More...
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File" More...
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor More...

## Protected Attributes
shared_ptr< StarObjectChartInternal::State > | m_chartState
| the state More...
Protected Attributes inherited from StarObject
char const * | m_password
| the document password More...
shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory More...
shared_ptr< StarObjectInternal::State > | m_state
| the state More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Detailed Description

the main class to read a StarOffice chart

## Constructor & Destructor Documentation

StarObjectChart::StarObjectChart | ( | StarObject const & | orig,
|  | bool | duplicateState
| ) |  |

constructor

StarObjectChart::~StarObjectChart | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool StarObjectChart::parse | ( |  | ) |

try to parse the current object

Referenced by SDAParser::createZones(), SDCParser::createZones(), and SDWParser::createZones().

bool StarObjectChart::readChartDocument | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

try to read a chart zone: StarChartDocument .sds

Referenced by parse().

bool StarObjectChart::readSCHAttributes | ( | StarZone & | zone | ) |
| protected

try to read the chart attributes

Referenced by readChartDocument().

bool StarObjectChart::readSCHMemChart | ( | StarZone & | zone | ) |
| protected

try to read the memchart data

Referenced by readSCHAttributes().

bool StarObjectChart::readSfxStyleSheets | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

try to read a chart style zone: SfxStyleSheets

Referenced by parse().

## Member Data Documentation

shared_ptr<StarObjectChartInternal::State> StarObjectChart::m_chartState
| protected

the state

The documentation for this class was generated from the following files:

- StarObjectChart.hxx
- StarObjectChart.cxx